-record(delete, {
    modifier :: cake@internal@write_query:delete_modifier(),
    table :: cake@internal@write_query:delete_table(),
    using :: cake@internal@write_query:delete_using(),
    join :: cake@internal@read_query:joins(),
    where :: cake@internal@read_query:where(),
    returning :: cake@internal@write_query:returning(),
    epilog :: cake@internal@read_query:epilog(),
    comment :: cake@internal@read_query:comment()
}).
